### Function

# Gtk MenuButtonCreatePopupFunc

#### Declaration

    void
    MenuButtonCreatePopupFunc (
      GtkMenuButton* menu_button,
      gpointer user_data
    )

#### Description [src]

User-provided callback function to create a popup for a `GtkMenuButton` on demand.

This function is called when the popup of `menu_button` is shown, but none has been provided via gtk_menu_button_set_popover() or gtk_menu_button_set_menu_model().

#### Parameters

`menu_button` | `GtkMenuButton`
| The `GtkMenuButton`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data passed to gtk_menu_button_set_create_popup_func().